---
# Only the main Sass file needs front matter (the dashes are enough)
---
@charset "utf-8";

@import
  {% if site.bootwatch %}
    "bootswatch/{{site.bootwatch | downcase}}/variables",
  {% endif %}

  "bootstrap",

  {% if site.bootwatch %}
    "bootswatch/{{site.bootwatch | downcase}}/bootswatch",
  {% endif %}

  "syntax-highlighting",
  "typeahead"
;

html {
  position: relative;
  min-height: 100%;
}
body {
  padding-top: $navbar-height + $navbar-margin-bottom;
  margin-bottom: 46px;
}

.navbar-brand{
  img{
    margin: -$navbar-padding-vertical 0;
    height: $navbar-height;
    padding: 10px 0;
  }
}

.header-container {
  background-color: black;
  background: url('../img/background.svg') no-repeat 50% 0;
  color: $white;

  background-size: cover;
  background-position: center 45%;
  margin-top: -37px;
}

.header-img-container {
  margin-top: 2em;
  margin-bottom: 1em;
}
.navbar-container {
  font-size: 16px;
}
.page-content {
  padding-bottom: 20px;
}
.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 46px;
  padding-top: 10px;
  background-color: $gray-lighter;
  color: $gray-dark;
}

.post-list-container {
  li a.active {
    font-weight: bold;
  }
}
*[id]:before {
  display: block;
  content: " ";
  margin-top: -75px;
  height: 75px;
  visibility: hidden;
}
.navbar-form .has-feedback .form-control-feedback{
  top:10px
}
